<div class="container-fluid">
  <div class="row header header-row-container">
    <div class="header-left-section">
      <img (click)="home()" src="assets/img/logo.png" class="logo"/>
      <span class="logo-name">Eventz</span>
    </div>
    <div class="header-right-section" *ngIf="isLoggedIn">
      <div class="float-left">
        <div class="notification-btn" mat-button [matMenuTriggerFor]="notification">
          <div matBadge={{appNotifications.length}} matBadgeOverlap="false" matBadgeColor="accent">
            <fa-icon [icon]="faBell"></fa-icon>
          </div>
        </div>
        <mat-menu #notification="matMenu" class="notification-menu">
          <ul>
            <li *ngFor="let notification of appNotifications">
              <span>{{notification.message}}</span>
              <fa-icon [icon]="faTimes" class="nav-icon" 
                (click)="removeNotification(notification)"></fa-icon>
            </li>
            <li *ngIf="appNotifications.length === 0">No Notifications Found!</li>
          </ul>
        </mat-menu>
      </div>
      <div class="float-right">
        <div class="profile-btn" mat-button [matMenuTriggerFor]="menu">
          <span class="profile-short-name" *ngIf="user">{{user.shortName}}</span>
          <span class="profile-full-name" *ngIf="user">{{user.fullName}}</span>
        </div>
        <mat-menu #menu="matMenu" class="profile-menu">
          <button mat-menu-item (click)="logout()">Logout</button>
        </mat-menu>
      </div>
    </div>
    <div class="float-right m10" *ngIf="!isLoggedIn">
      <button mat-raised-button color="warn" (click)="resetApp()">Reset App</button>
    </div>
  </div>
</div>